Name:           perl-Sendmail-PMilter
Version:        0.97
Release:        2%{?dist}
Summary:        Perl binding of Sendmail Milter protocol
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Sendmail-PMilter/
Source0:        http://www.cpan.org/authors/id/A/AV/AVAR/Sendmail-PMilter-%{version}.tar.gz
Patch0:         Sendmail-PMilter-Context.pm_pod.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Sendmail::PMilter is a mail filtering API implementing the Sendmail milter
protocol in pure Perl. This allows Sendmail servers (and perhaps other MTAs
implementing milter) to filter and modify mail in transit during the SMTP
connection, all in Perl.

It should be noted that PMilter 0.90 and later is NOT compatible with
scripts written for PMilter 0.5 and earlier.  The API has been reworked
significantly, and the enhanced APIs and rule logic provided by PMilter
0.5 and earlier has been factored out for inclusion in a separate package
to be called Mail::Milter.

%prep
%setup -q -n Sendmail-PMilter-%{version}
%patch0 -p1 -b .POD

chmod -x examples/*.pl
sed -i -e 's@/usr/local/bin/perl@/usr/bin/perl@' examples/*.pl

%build
# Using "echo" to bypass the interactive 'yes/no' question in Makefile.PL
echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README examples doc
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 16 2009 John Guthrie <guthrie@counterexample.org> 0.97-1
- Re-released with version 0.97.
- Added BuildRequirement for perl(Test::More)

* Sun Feb 15 2009 John Guthrie <guthrie@counterexample.org> 0.96-5
- Added small patch to fix an error in the POD documentation for Context.pm

* Fri Feb 06 2009 John Guthrie <guthrie@counterexample.org> 0.96-4
- Fixed rpmlint warnings caused by including the examples directory in the %%doc
  section.

* Fri Feb 06 2009 John Guthrie <guthrie@counterexample.org> 0.96-3
- Added files to %%doc list
- Corrected license

* Thu Feb 05 2009 John Guthrie <guthrie@counterexample.org> 0.96-2
- Expanded %%description section.
- Ran "perl Makefile.PL" as the receiving end of a pipe since there is an
  interactive part to that script.

* Thu Feb 05 2009 John Guthrie <guthrie@counterexample.org> 0.96-1
- Specfile autogenerated by cpanspec 1.77.
